/*
 * 文 件 名:  Response
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lv.wenbin@huashe.com
 * 修改时间:  2019/2/15
 */
package com.huashe.citybrain.commons.base.bean;

/**
 * 公共响应 <功能详细描述>
 *
 * @author lv.wenbin@huashe.com
 * @version [版本号, 2019/2/15]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class Response<T> {
    /**
     * 响应码
     */
    private int code;

    /**
     * 描述
     */
    private String message;

    /**
     * 携带载体
     */
    private T data;

    /**
     * 无参构造
     */
    public Response() {
    }

    public Response(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
