package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.sql.Time;
import java.util.Date;

/**
 * 用能计量-小时对象 adm_ems_obj_use_h
 * 
 * @author ruoyi
 * @date 2024-08-15
 */
@Deprecated
public class ElecUseH extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    private String areaCode;

    @Excel(name = "服务区")
    private String areaName;

    private String areaShortName;

    /** 对象类型 */
    private Integer objType;

    /** 对象代码 */
    private String objCode;

    @Excel(name = "对象名称")
    private String objName;

    /** 设施类型 */
    @Excel(name = "设施类别")
    private String facsCategory;

    /** 设施子类 */
    @Excel(name = "设施子类别")
    private String facsSubCategory;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    /** 日期 yyyy-MM-dd */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期 yyyy-MM-dd", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 时间 HH:mm:ss */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "时间 HH:mm:ss", width = 30, dateFormat = "HH:mm:ss")
    private Time time;

    /** 时间序列 */
    @Excel(name = "时间序列")
    private Long timeIndex;


    /** 用电量 单位：kW-h（千瓦时） */
    @Excel(name = "用电量 单位：kW·h")
    private Double elecQuantity;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaShortName() {
        return areaShortName;
    }

    public void setAreaShortName(String areaShortName) {
        this.areaShortName = areaShortName;
    }

    public Integer getObjType() {
        return objType;
    }

    public void setObjType(Integer objType) {
        this.objType = objType;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getFacsCategory() {
        return facsCategory;
    }

    public void setFacsCategory(String facsCategory) {
        this.facsCategory = facsCategory;
    }

    public String getFacsSubCategory() {
        return facsSubCategory;
    }

    public void setFacsSubCategory(String facsSubCategory) {
        this.facsSubCategory = facsSubCategory;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Time getTime() {
        return time;
    }

    public void setTime(Time time) {
        this.time = time;
    }

    public Long getTimeIndex() {
        return timeIndex;
    }

    public void setTimeIndex(Long timeIndex) {
        this.timeIndex = timeIndex;
    }

    public Double getElecQuantity() {
        return elecQuantity;
    }

    public void setElecQuantity(Double elecQuantity) {
        this.elecQuantity = elecQuantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("objType", getObjType())
            .append("objCode", getObjCode())
            .append("objName", getObjName())
            .append("facsCategory", getFacsCategory())
            .append("facsSubCategory", getFacsSubCategory())
            .append("date", getDate())
            .append("time", getTime())
            .append("timeIndex", getTimeIndex())
            .append("elecQuantity", getElecQuantity())
            .toString();
    }
}
