package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.ElecUseH;
import com.ruoyi.ems.mapper.ElecUseHMapper;
import com.ruoyi.ems.model.ElecUseSta;
import com.ruoyi.ems.model.QueryIndex;
import com.ruoyi.ems.service.IElecUseHService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用能计量-小时Service业务层处理
 *
 * @author ruoyi
 * @date 2024-08-15
 */
@Deprecated
@Service
public class ElecUseHServiceImpl implements IElecUseHService {
    @Autowired
    private ElecUseHMapper elecUseHMapper;

    /**
     * 查询用能计量-小时
     *
     * @param id 用能计量-小时主键
     * @return 用能计量-小时
     */
    @Override
    public ElecUseH getElecUseHById(Long id) {
        return elecUseHMapper.selectElecUseHById(id);
    }

    /**
     * 查询用能计量-小时列表
     *
     * @param ElecUseH 用能计量-小时
     * @return 用能计量-小时
     */
    @Override
    public List<ElecUseH> getElecUseHList(ElecUseH ElecUseH) {
        return elecUseHMapper.selectElecUseHList(ElecUseH);
    }

    @Override
    public List<ElecUseH> getElecUseDayList(QueryIndex queryIndex) {
        return elecUseHMapper.selectElecUseDayList(queryIndex);
    }

    @Override
    public List<ElecUseH> getElecUseHListSum(ElecUseH elecUseH) {
        return elecUseHMapper.selectElecUseHListSum(elecUseH);
    }

    @Override
    public List<ElecUseSta> getSumBySubCategory(ElecUseH elecUseH) {
        List<ElecUseSta> retList = elecUseHMapper.selectSumBySubCategory(elecUseH);

        if (CollectionUtils.isNotEmpty(retList)) {
            for (ElecUseSta staObj : retList) {
                elecUseH.setFacsSubCategory(staObj.getObjCode());
                List<ElecUseSta> subentryList = elecUseHMapper.selectSumByFacs(elecUseH);
                staObj.setSubentry(subentryList);
            }
        }

        return retList;
    }

    @Override
    public List<ElecUseSta> getSumByFacs(ElecUseH elecUseH) {
        return elecUseHMapper.selectSumByFacs(elecUseH);
    }

    /**
     * 新增用能计量-小时
     *
     * @param ElecUseH 用能计量-小时
     * @return 结果
     */
    @Override
    public int insertElecUseH(ElecUseH ElecUseH) {
        return elecUseHMapper.insertElecUseH(ElecUseH);
    }

    /**
     * 修改用能计量-小时
     *
     * @param ElecUseH 用能计量-小时
     * @return 结果
     */
    @Override
    public int updateElecUseH(ElecUseH ElecUseH) {
        return elecUseHMapper.updateElecUseH(ElecUseH);
    }

    /**
     * 批量删除用能计量-小时
     *
     * @param ids 需要删除的用能计量-小时主键
     * @return 结果
     */
    @Override
    public int deleteElecUseHByIds(Long[] ids) {
        return elecUseHMapper.deleteElecUseHByIds(ids);
    }

    /**
     * 删除用能计量-小时信息
     *
     * @param id 用能计量-小时主键
     * @return 结果
     */
    @Override
    public int deleteElecUseHById(Long id) {
        return elecUseHMapper.deleteElecUseHById(id);
    }
}
